Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.landlord
Class LandlordLeaseMap

    java.lang.Object
      com.sun.jini.lease.AbstractLeaseMap
          com.sun.jini.landlord.LandlordLeaseMap

All Implemented Interfaces:
  LeaseMap, Map

Direct Known Subclasses:
  ConstrainableLandlordLeaseMap

public class LandlordLeaseMap
extends AbstractLeaseMap

Implementation of `LeaseMap` for `LandlordLease`.

Since:
  2.0
See Also:
  `LandlordLease`, `LeaseMap`

Field Summary

Fields inherited from class com.sun.jini.lease.AbstractLeaseMap
`map`

Method Summary
`void` | `cancelAll()` Cancels all leases in the LeaseMap.
`boolean` | `canContainKey(Object key)` Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map.
`void` | `renewAll()` Renews all leases in the LeaseMap, using their current values as the renewal durations.

Methods inherited from class com.sun.jini.lease.AbstractLeaseMap
`checkKey, checkValue, clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### canContainKey

    public boolean canContainKey(Object key)

  Description copied from interface: `LeaseMap`
  Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map. Whether or not two Lease objects can be batched is an implementation detail determined by the objects.

  Parameters:
    `key` - an object that should be a lease
  Returns:
    true if the lease can be renewed and cancelled in a a batch with other leases
  See Also:
    `Lease.canBatch(net.jini.core.lease.Lease)`

### cancelAll

    public void cancelAll()
                   throws LeaseMapException,
                          RemoteException

  Description copied from interface: `LeaseMap`
  Cancels all leases in the LeaseMap. If all cancels are successful, returns normally (leaving all leases in the map). Otherwise, removes all leases that failed to cancel from the LeaseMap, and throws LeaseMapException.

  Throws:
    `RemoteException`
    `LeaseMapException`

### renewAll

    public void renewAll()
                  throws LeaseMapException,
                         RemoteException

  Description copied from interface: `LeaseMap`
  Renews all leases in the LeaseMap, using their current values as the renewal durations. If all renewals are successful, returns normally. Otherwise, removes all leases that failed to renew from the LeaseMap, and throws LeaseMapException.

  Throws:
    `LeaseMapException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved